<template>
  <view class="dec-rich" :style="{ backgroundColor: tab.arg.bgColor }">
    <view class="wrap">
      <jyf-parser ref="desc" />
    </view>
  </view>
</template>
<script>
// #ifdef H5
import jyfParser from "../../jyf-parser/jyf-parser";
// #endif
export default {
  // #ifdef H5
  components: {
    jyfParser,
  },
  // #endif
  props: {
    tempId: Number,
    tab: {
      type: Object,
      default: () => {
        return {};
      },
    },
  },
  mounted() {
    let { content } = this.tab.arg;
    this.$refs.desc.setContent(content);
  },
};
</script>
